### Method

# Clutter InputDevice get_vendor_id

#### Declaration [src]

    const gchar*
    clutter_input_device_get_vendor_id (
      ClutterInputDevice* device
    )

#### Description [src]

Gets the vendor ID of this device.

Gets property | `Clutter.InputDevice:vendor-id`

#### Return value

Type: `const gchar*`

The vendor ID2.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.